#
# spec file for package openspades
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openspades
Version:        0.1.0
Release:        150400.8.pm.6
Summary:        A clone of Voxlap Ace of Spades 0.75
License:        GPL-3.0 and GPL-2.0 and SUSE-Freeware
Group:          Amusements/Games/3D/Shoot
Url:            http://openspades.yvt.jp/
Source0:        https://github.com/yvt/openspades/archive/v%{version}.tar.gz
Source1:        https://github.com/yvt/openspades-paks/releases/download/r32/OpenSpadesDevPackage-r32.zip
Patch0:         openspades.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkg-config
BuildRequires:  unzip
BuildRequires:  update-desktop-files
BuildRequires:  zip
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(freealut)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(zlib)

%description
OpenSpades is a clone of Ace of Spades 0.75, which is a free
online first-person shooter created by Ben Aksoy, featuring
fully destructible terrain and plenty of game modes (including
the well-known Capture the Flag) created by the community.

%prep
%autosetup -p1

%build
%cmake -DOPENSPADES_RESDIR=%{_datadir}/openspades/Resources \
       -DOPENSPADES_INSTALL_RESOURCES=share/openspades/Resources \
       -DOPENSPADES_INSTALL_BINARY=lib/openspades/

mkdir -p Resources/DevPak

# to quit the download script
cp %{S:1} Resources

# manually unzip
unzip -u  -o %{S:1} -d Resources

# relocate paks to the proper location
mv "Resources/Nonfree/pak000-Nonfree.pak" "Resources/"
mv "Resources/OfficialMods/font-unifont.pak" "Resources/"
mv "Resources/Nonfree/LICENSE.md" "Resources/LICENSE.pak000.md"
mv "Resources/OfficialMods/LICENSE" "Resources/LICENSE.unifont.txt"

%cmake_build

%install
%cmake_install
%fdupes %{buildroot}

mkdir -p %{buildroot}%{_bindir}
tee %{buildroot}%{_bindir}/openspades <<EOF
#!/bin/sh
cd %{_prefix}/lib/openspades/
./openspades
EOF
chmod +x %{buildroot}%{_bindir}/openspades

# workaround https://github.com/yvt/openspades/issues/331
mkdir -p %{buildroot}%{_prefix}/lib/openspades/
ln -s %{_libdir}/libopenal.so.1 %{buildroot}%{_prefix}/lib/openspades/libopenal.so

%files
%{_bindir}/openspades
%{_prefix}/lib/openspades/
%{_datadir}/doc/openspades/
%{_datadir}/menu
%{_datadir}/openspades
%{_mandir}/man6/openspades*
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/openspades.xpm
%{_datadir}/applications/openspades.desktop

%changelog
* Sun Jan  1 2017 mailaender@opensuse.org
- Update to version 0.1.0
  * Compatibility fixes: fog, recoil
  * First person view for spectate
  * Minimap improvements
  * Configurable player name drawing
  * Display spectators in scoreboard
  * Right click to mark favorite servers
  * More game experience options
  * Mumble support
  * Polish translation
  * Brazilian Portuguese translation
  * European Portuguese translation
  * (Preliminary) custom TTF/OTF font support
  * Language switcher
- Remove openal.patch (included upstream)
- Remove desktop.patch (applied upstream)
* Sun Dec 25 2016 mailaender@opensuse.org
- workaround FHS incompatible library search paths for OpenAL
* Fri Mar 25 2016 mailaender@opensuse.org
- initial packaging of version 0.0.12
